cURL
curl --request GET \
--url 'https://api.minimo.it/public/v1/tenants/restaurant_4812/reputation' \
--header 'Authorization: Bearer YOUR_MINIMO_KEY'const res = await fetch('https://api.minimo.it/public/v1/tenants/restaurant_4812/reputation', {
method: 'GET',
headers: {
Authorization: 'Bearer YOUR_MINIMO_KEY',
},
});
const { data } = await res.json();
console.log(data);import requests
res = requests.get(
'https://api.minimo.it/public/v1/tenants/restaurant_4812/reputation',
headers={'Authorization': 'Bearer YOUR_MINIMO_KEY'},
)
print(res.status_code, res.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.minimo.it/public/v1/tenants/{tenant}/reputation",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.minimo.it/public/v1/tenants/{tenant}/reputation"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.minimo.it/public/v1/tenants/{tenant}/reputation")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.minimo.it/public/v1/tenants/{tenant}/reputation")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"tenant": "restaurant_4812",
"windowDays": 7,
"sent": 6,
"marketingSent": 0,
"complaints": 0,
"complaintRate": 0,
"hardBounces": 0,
"hardBounceRate": 0,
"bounces": 0,
"maxBroadcastComplaints": 0,
"complaintsLifetime": 0,
"hold": {
"held": false,
"since": null,
"reason": null,
"setBy": null
},
"workspaceHold": {
"held": false
},
"rampUp": {
"tier": "warming",
"dailyCap": 1000,
"usedToday": 0,
"remainingToday": 1000,
"firstSeenAt": "2026-11-06T15:46:06.732Z"
},
"thresholds": {
"complaintRate": 0.003,
"minMarketingSends": 100,
"minComplaints": 2,
"broadcastComplaints": 2,
"hardBounceRate": 0.05,
"minSendsForBounceRate": 100
}
}
}{
"status": "FAIL",
"message": "INVALID_PARAMETERS",
"userMessage": "Set the origins allowed to embed the widgets first."
}Tenants
Get Tenant Reputation
Complaints, bounces, marketing pause and the daily limit of one restaurant
GET
/
public
/
v1
/
tenants
/
{tenant}
/
reputation
cURL
curl --request GET \
--url 'https://api.minimo.it/public/v1/tenants/restaurant_4812/reputation' \
--header 'Authorization: Bearer YOUR_MINIMO_KEY'const res = await fetch('https://api.minimo.it/public/v1/tenants/restaurant_4812/reputation', {
method: 'GET',
headers: {
Authorization: 'Bearer YOUR_MINIMO_KEY',
},
});
const { data } = await res.json();
console.log(data);import requests
res = requests.get(
'https://api.minimo.it/public/v1/tenants/restaurant_4812/reputation',
headers={'Authorization': 'Bearer YOUR_MINIMO_KEY'},
)
print(res.status_code, res.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.minimo.it/public/v1/tenants/{tenant}/reputation",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.minimo.it/public/v1/tenants/{tenant}/reputation"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.minimo.it/public/v1/tenants/{tenant}/reputation")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.minimo.it/public/v1/tenants/{tenant}/reputation")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"tenant": "restaurant_4812",
"windowDays": 7,
"sent": 6,
"marketingSent": 0,
"complaints": 0,
"complaintRate": 0,
"hardBounces": 0,
"hardBounceRate": 0,
"bounces": 0,
"maxBroadcastComplaints": 0,
"complaintsLifetime": 0,
"hold": {
"held": false,
"since": null,
"reason": null,
"setBy": null
},
"workspaceHold": {
"held": false
},
"rampUp": {
"tier": "warming",
"dailyCap": 1000,
"usedToday": 0,
"remainingToday": 1000,
"firstSeenAt": "2026-11-06T15:46:06.732Z"
},
"thresholds": {
"complaintRate": 0.003,
"minMarketingSends": 100,
"minComplaints": 2,
"broadcastComplaints": 2,
"hardBounceRate": 0.05,
"minSendsForBounceRate": 100
}
}
}{
"status": "FAIL",
"message": "INVALID_PARAMETERS",
"userMessage": "Set the origins allowed to embed the widgets first."
}Guide: Protections and sending limits. Errors: Errors and limits.